- Have OpenBSD use gmake

- export MAKE to make sure submakes use it.


git-svn-id: file:///srv/svn/repos/haiku/haiku/trunk@28250 a95241bf-73f2-0310-859d-f6bbb57e9c96
This commit is contained in:
François Revol 2008-10-20 19:40:36 +00:00
parent 7cf856daef
commit f868be6863

View File

@ -12,7 +12,15 @@ haikuMachine=$1
haikuSourceDir=$2
buildToolsDir=$3
if [ $(uname) = "FreeBSD" ]; then make="gmake"; else make="make"; fi
case $(uname) in
FreeBSD|OpenBSD)
MAKE=gmake
;;
*)
MAKE=make
;;
esac
export MAKE
if [ $# -lt 4 ]; then
haikuOutputDir=$haikuSourceDir/generated
@ -82,8 +90,8 @@ cd $binutilsObjDir
CFLAGS="-O2" CXXFLAGS="-O2" $binutilsSourceDir/configure \
--prefix=$installDir --target=$haikuMachine --disable-nls \
--disable-shared || exit 1
$make || exit 1
$make install || exit 1
$MAKE || exit 1
$MAKE install || exit 1
export PATH=$PATH:$installDir/bin
@ -116,13 +124,13 @@ CFLAGS="-O2" CXXFLAGS="-O2" $gccSourceDir/configure --prefix=$installDir \
--with-libs=$tmpLibDir || exit 1
# make gcc
$make || {
$MAKE || {
echo "ERROR: Building gcc failed." >&2
exit 1
}
# install gcc
$make install || {
$MAKE install || {
echo "ERROR: Installing the cross compiler failed." >&2
exit 1
}